Skip to main content
`Ctrl`+`K`

# MatNullSpaceSetFunction

set a function that removes a null space from a vector out of null spaces.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatNullSpaceSetFunction(MatNullSpace sp, PetscErrorCode (*rem)(MatNullSpace, Vec, void *), void *ctx)

Logically Collective

## Input Parameters

- sp - the `MatNullSpace` null space object

- rem - the function that removes the null space

- ctx - context for the remove function

## See Also

Matrices, `Mat`, `MatNullSpace`, `MatNullSpaceDestroy()`, `MatNullSpaceRemove()`, `MatSetNullSpace()`, `MatNullSpaceCreate()`

## Level

advanced

## Location

src/mat/interface/matnull.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages